%global debug_package %{nil}

Name:           gitui
Version:        0.5.0
Release:        1%{?dist}
Summary:        Blazing fast terminal-ui for git written in rust

License:        MIT
URL:            https://github.com/extrawurst/gitui
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

%if 0%{?el8}
%else
BuildRequires:  cargo >= 1.42
BuildRequires:  rust >= 1.42
%endif

%description
%{summary}.


%prep
%autosetup -p1
%if 0%{?el8}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
%if 0%{?el8}
$HOME/.cargo/bin/cargo install --root=%{buildroot}%{_prefix} --path=.
%else
cargo install --root=%{buildroot}%{_prefix} --path=.
%endif
rm -f   %{buildroot}%{_prefix}/.crates.toml \
        %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE.md
%doc README.md CHANGELOG.md THEMES.md
%{_bindir}/*


%changelog
* Mon Jun 01 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Fri May 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- Initial package
